Error (undefined method) in issue list PDF export

2023-11-08 12:39 - Thomas Löber

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 5.0.7   

Resolution: Fixed Affected version: 5.0.6

Description

Hi,

I got an undefined method `custom_field' for nil:NilClass error at 

https://www.redmine.org/projects/redmine/repository/svn/entry/tags/5.0.6/lib/redmine/export/pdf/issues_pdf_helper.rb#L342.

The error occurs when you try to PDF export a custom field block column that is not part of the tracker of the exported ticket(s). In

that case issue.visible_custom_field_values does not contain a custom value for the column, cv is nil and cv.custom_field fails.

cv =

  issue.visible_custom_field_values.detect do |v|

    v.custom_field_id == column.custom_field.id

  end

is_html = cv.custom_field.full_text_formatting?

 Best regards,

Thomas

Associated revisions

Revision 22418 - 2023-11-11 07:41 - Marius BĂLTEANU

Fix undefined method error in issue list PDF export when export contains a custom field block column with full width layout enabled that is not part of

the tracker of the exported ticket(s) (#39534).

Revision 22423 - 2023-11-12 11:59 - Marius BĂLTEANU

Merged r22418 from trunk to 5.1-stable (#39534).

Revision 22425 - 2023-11-12 12:06 - Marius BĂLTEANU

Merged r22418 from trunk to 5.0-stable (#39534).

Revision 22435 - 2023-11-16 09:16 - Go MAEDA

Fix RuboCop offense Layout/SpaceAfterComma due to r22418 (#39534).

History

#1 - 2023-11-08 12:48 - Thomas Löber

Here is a possible fix:

cv =

  issue.visible_custom_field_values.detect do |v|

    v.custom_field_id == column.custom_field.id

  end

next if cv.nil?

is_html = cv.custom_field.full_text_formatting?

#2 - 2023-11-11 07:18 - Marius BĂLTEANU

- Status changed from New to Confirmed

- Assignee set to Marius BĂLTEANU

- Target version set to 5.0.7
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/5.0.6/lib/redmine/export/pdf/issues_pdf_helper.rb#L342


#3 - 2023-11-11 07:41 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Fixed with a test, thanks for reporting the issue. The fix will be available in next maintenance releases.

#4 - 2023-11-12 12:09 - Marius BĂLTEANU

- Status changed from Resolved to Closed
